package org.dromara.resource.danmi_sms.common;


import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;
@EqualsAndHashCode
public class DMSmsSendResult implements Serializable {
  private static final long serialVersionUID = 1L;

  //是否成功
  private boolean success;

  //错误信息
  private String errorMsg;

  //短信回执详情
  private List<DMSmsSendResultDtl> data;

  public void setSuccess(boolean success) {
    this.success = success;
  }

  public void setErrorMsg(String errorMsg) {
    this.errorMsg = errorMsg;
  }

  public void setData(List<DMSmsSendResultDtl> data) {
    this.data = data;
  }

  protected boolean canEqual(Object other) {
    return other instanceof DMSmsSendResult;
  }


  public String toString() {
    return "DMSmsSendResult(success=" + isSuccess() + ", errorMsg=" + getErrorMsg() + ", data=" + getData() + ")";
  }

  public boolean isSuccess() {
    return this.success;
  }

  public String getErrorMsg() {
    return this.errorMsg;
  }

  public List<DMSmsSendResultDtl> getData() {
    return this.data;
  }
}
